
%global meadversion 3.3.8
%global namedversion 3.3.8.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead
%bcond_with javadoc

%define mavengroup org.jboss.remoting3
%define artifact0 jboss-remoting

%define maven_version 3.3.8.Final-redhat-1

Name:      jboss-remoting3
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   JBoss Remoting 3
License:   LGPL 2.1
Group:     Development/Java

%if %with mead
Source100: jboss-remoting-3.3.8.Final-redhat-1-scm-sources.zip
Source102: jboss-remoting-3.3.8.Final-redhat-1-javadoc.jar
Source103: jboss-remoting-3.3.8.Final-redhat-1-sources.jar
Source104: jboss-remoting-3.3.8.Final-redhat-1.pom
Source105: jboss-remoting-3.3.8.Final-redhat-1-project-sources.tar.gz
Source106: jboss-remoting-3.3.8.Final-redhat-1.jar
%endif

URL:       http://www.jboss.org/jbossremoting

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP %{artifact0}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact1}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}
%doc COPYING.txt
%endif

%changelog
* Tue Feb 02 2016 Yong Yang <yyang@redhat.com> - 3.3.8-1.Final_redhat_1.1
- Wrapper 3.3.8.Final-redhat-1

* Tue Dec 08 2015 Neil Wallace <nwallace@redhat.com> - 3.3.7-1.Final_redhat_1.1
- Upgrade to 3.3.7.Final

* Fri Oct 23 2015 Hui Wang <huwang@redhat.com> - 3.3.6-1.Final_redhat_1.1
- Upgrade to 3.3.6.Final-redhat-1

* Mon Jun 15 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.5-1.Final_redhat_1.1
- Upgrade to 3.3.5.Final

* Thu Oct 30 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.4-1.Final_redhat_1.1
- Upgrade to 3.3.4.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.3-1.Final_redhat_1.1
- Upgrade to 3.3.3.Final

* Wed Apr 09 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.1-1.Final_redhat_1.1
- Upgrade to 3.3.1.Final

* Thu Mar 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.0-1.Final_redhat_1.1
- Upgrade to 3.3.0.Final

* Fri Feb 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.19-1.GA_redhat_1.1
- Upgrade to 3.2.19.GA

* Wed Nov 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.18-1.GA_redhat_1
- Upgrade to 3.2.18.GA

* Tue Oct 15 2013 Hui Wang <huwang@redhat.com> - 3.2.17-1.GA_redhat_1
- Downgrade to 3.2.17.GA (Bug 1018989)

* Sun Oct 13 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.3.0-1.CR1_redhat_1
- Upgrade to 3.3.0.CR1

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.16-1.GA_redhat_1
- Upgrade to 3.2.16.GA

* Thu Feb 28 2013 Hui Wang <huwang@redhat.com> - 3.2.15-1.GA_redhat_1
- Upgrade to 3.2.15.GA

* Wed Nov 28 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.14-1.GA_redhat_1
- Upgrade to 3.2.14.GA

* Tue Nov 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.13-1.GA_redhat_1
- Upgrade to 3.2.13.GA

* Fri Oct 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.12-1.GA_redhat_1
- Update to 3.2.12.GA

* Fri Oct 05 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.11-1.GA_redhat_1
- Update to 3.2.11.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-2.SP1_redhat_1
- Rebuild for MD5

* Fri Sep 14 2012 Lin Gao <lgao@redhat.com> - 3.2.8-1.SP1_redhat_2
- Update to 3.2.8.SP1

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 3.2.8-1.GA_redhat_2.4
- Update pom patch for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_2.3
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_1.1
- Rebuild using cache signing

* Wed May 23 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.8-1.GA_redhat_1
- Upgrade to 3.2.8.GA-redhat-1

* Tue May 08 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.7-1.GA_redhat_1
- Upgrade to 3.2.7.GA-redhat-1

* Mon Mar 26 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.4-1.GA_redhat_1.1
- Upgrade to 3.2.4.GA

* Tue Mar 20 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.2-1.GA_redhat_1.2
- Remove R: jboss-logmanager, jboss-logging-tools, xnio

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.0-1.GA_redhat_1.1
- Populate java-signed

* Fri Feb 14 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.2-0.5.GA_redhat_1
- Upgrade to 3.2.2.GA

* Fri Jan 13 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.0-0.4.CR8_redhat_1.1
- Wrap MEAD build for EAP 6

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-0.3.CR6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.2.CR6
- Upstream release 3.2.0.CR6

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.CR2
- Upstream release 3.2.0.CR2

* Mon Oct 24 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3
- Fixed javadocs dir issue

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta2
- Initial packaging
